--------------------------------------------------
-- STRS Main Page
--------------------------------------------------
local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/STRS/"
dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- Common Elements
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")
dofile(mpcd_path.."STRS_WPN_LST.lua")	-- Weapons Selection
dofile(mpcd_path.."STRS_WPN_SYMB.lua")	-- Weapons Symbology
dofile(mpcd_path.."STRS_MAIN_MENU.lua")	-- STRS Main Menu
dofile(mpcd_path.."STRS_WPN_PRG.lua")	-- STRS Main Menu

--Alignment Structure
--local mpcd_align	= create_mpcd_textured_box( 0, 0, 1024, 1024, nil, nil, 0)
--mpcd_align.name		= "mpcd_align"
--mpcd_align.init_pos	= {0, 0, 0}
--Add_MPCD_Element(mpcd_align)

--------------------------------------------------
-- SYMBOLS & INDICATORS
--------------------------------------------------
local	strs_wing_form			= create_mpcd_textured_box( 231, 0, 1022, 379, nil, nil, 11)
		strs_wing_form.name		= "strs_wing_form"
		strs_wing_form.init_pos	= {0, 0.25, 0}
Add_MPCD_Element(strs_wing_form)

-- Weapons Status
local	SMS_Status				= CreateElement "ceStringPoly"
		SMS_Status.name			= "SMS_Status"
		SMS_Status.material		= mpcd_font_base
		SMS_Status.init_pos		= { -0.80,  0.80, 0}
		SMS_Status.alignment	= "LeftCenter"
		SMS_Status.value		= "WPN FAIL"
		SMS_Status.stringdefs	= MPCD_data2_font_size
		SMS_Status.controllers	= {{"strs_wpn_1a_fail"}}
Add_MPCD_Element(SMS_Status)

local	gun_status				= CreateElement "ceStringPoly"
		gun_status.name			= "gun_status"
		gun_status.material		= mpcd_font_base
		gun_status.init_pos		= { 0.65,  0.80, 0}
		gun_status.alignment	= "CenterCenter"
		gun_status.value		= "NOT CLEAR"
		gun_status.stringdefs	= MPCD_data2_font_size
		gun_status.controllers	= {{"strs_wpn_gun_fail"}}
Add_MPCD_Element(gun_status)

local	safe_arm_indicator				= CreateElement "ceStringPoly"
		safe_arm_indicator.name			= "safe_arm_indicator"
		safe_arm_indicator.material		= mpcd_font_base
		safe_arm_indicator.init_pos		= { -0.80,  0.70, 0}
		safe_arm_indicator.alignment	= "LeftCenter"
		safe_arm_indicator.formats		= {"%s"}
		safe_arm_indicator.stringdefs	= MPCD_large_font_size
		safe_arm_indicator.controllers	= {{"strs_master_arm"}}
Add_MPCD_Element(safe_arm_indicator)

--------------------------------------------------
-- Page Menu
--------------------------------------------------
local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_font_base
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "L\nO\nP"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_05.controllers	= {{"strs_lop_btn"}}
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_12				= CreateElement "ceStringPoly"
		mpcd_mm_btn_12.name			= "mpcd_mm_btn_12"
		mpcd_mm_btn_12.material		= mpcd_font_base
		mpcd_mm_btn_12.init_pos		= mpcd_btn_12_pos
		mpcd_mm_btn_12.alignment	= "CenterCenter"
		mpcd_mm_btn_12.value		= "L\nO\nF\nT"
		mpcd_mm_btn_12.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_12.controllers	= {{"strs_loft_btn"}}
Add_MPCD_Element(mpcd_mm_btn_12)

local	LOP_selection				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		LOP_selection.name			= "LOP_selection"
		LOP_selection.init_pos		= mpcd_btn_02_pos
		LOP_selection.controllers	= {{"STRS_LOP_selection"}}
Add_MPCD_VIDEO_Element(LOP_selection)

local	LOFT_selection				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		LOFT_selection.name			= "LOFT_selection"
		LOFT_selection.init_pos		= mpcd_btn_12_pos
		LOFT_selection.controllers	= {{"STRS_LOFT_selection"}}
Add_MPCD_VIDEO_Element(LOFT_selection)

